Subject: Re: [PATCH net-next v1 0/3] bnxt_en: implement netdev_queue_mgmt_ops

From: Jakub Kicinski <[email-masked]>
Date: Wed, 12 Jun 2024 14:11:05 -0700

On Wed, 12 Jun 2024 11:19:47 -0700 David Wei wrote:
> Any validation would be done outside of this patchset, which only
> focuses on resetting an Rx queue. Reconfiguring page pools and HDS is
> orthogonal and unrelated to this patchset.
> 
> The netdev core API consuming netdev_queue_mgmt_ops would be
> netdev_rx_queue_restart() added in [1].
> 
> [1]: https://lore.kernel.org/lkml/[email-masked]/
> 
> Validation would be done at a layer above, i.e. whatever that calls
> netdev_rx_queue_restart(), as opposed to netdev_rx_queue_restart() or
> netdev_queue_mgmt_ops itself.

One could be tempted to pass a "configuration" object to tell the
driver that this queue will be required to run with HDS enabled.
I wonder where I've seen such a thing...